C API Functions

## udbEntityLibrary

### Description

Return the library that an entity belongs to.

Currently only applies to Understand for Ada databases. There will always be a library named "standard" which is the only Ada library supported at this time. Future versions of Understand will support libraries.

### Syntax

     #include "udb/udb.h"
     UdbLibrary   udbEntityLibrary(UdbEntity entity);

### Arguments

Argument | description
UdbEntity entity | Specify the entity

### Return Values

Return values | description
UdbLibrary | The library to which this entity belongs or NULL if the entity does not belong to any library.

### Example Usage

     library = udbEntityLibrary(entity);
    if (library) {
        printf ("%s is in library %s\n",
                      udbEntityNameLong(entity),
                      udbLibraryName(library) );
    }

### See Also

udbLibraryCheckEntity to check if an entity is in a list of libraries.

udbLibraryCompare to compare two libraries.

udbLibraryFilterEntity to filter the list of entities with a library filter.

udbLibraryList get a list of libraries.

udbLibraryListFree to free a list of libraries.

udbLibraryName to get the name of a library.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com